JNA API 3.3.0

## com.sun.jna.platform.unix
Class X11.XClientMessageEvent.Data

    java.lang.Object
      com.sun.jna.Structure
          com.sun.jna.Union
              com.sun.jna.platform.unix.X11.XClientMessageEvent.Data

Enclosing class:
  X11.XClientMessageEvent

    public static class X11.XClientMessageEvent.Data

extends Union

Nested Class Summary

Nested classes/interfaces inherited from class com.sun.jna.Structure
`Structure.ByReference, Structure.ByValue`

Field Summary
`byte[]` | `b`
`NativeLong[]` | `l`
`short[]` | `s`

Fields inherited from class com.sun.jna.Structure
`ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

Constructor Summary
`X11.XClientMessageEvent.Data()`

Method Summary

Methods inherited from class com.sun.jna.Union
`getNativeAlignment, getTypedValue, readField, setType, setType, setTypedValue, writeField, writeField`

Methods inherited from class com.sun.jna.Structure

`allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, clear, ensureAllocated, equals, getAutoRead, getAutoWrite, getFieldOrder, getFields, getPointer, getStructAlignment, hashCode, newInstance, read, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setFieldOrder, setTypeMapper, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, write`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### b

    public byte[] b

### s

    public short[] s

### l

    public NativeLong[] l

Constructor Detail

### X11.XClientMessageEvent.Data

    public X11.XClientMessageEvent.Data()

JNA API 3.3.0

Copyright © 2007-2010 Timothy Wall. All Rights Reserved.